<?php

use Botble\Base\Facades\AdminHelper;
use Botble\TifrFacultyRecruitmentApplication\Http\Controllers\TifrFacultyRegistrationApplicationController;
use Illuminate\Support\Facades\Route;

AdminHelper::registerRoutes(function () {
    Route::group(['prefix' => 'tifrfacultyrecruitmentapplications', 'as' => 'tifrfacultyrecruitmentapplication.'], function () {
        // Route::resource('', TifrFacultyRegistrationApplicationController::class)->parameters(['' => 'tifrfacultyrecruitmentapplication']);
        // Route::resource('', TifrFacultyRegistrationApplicationController::class)->parameters(['' => 'tfrapplication']);

        Route::match(['get', 'post'], '/', [TifrFacultyRegistrationApplicationController::class, 'index'])->name('index');
        Route::get('/create', [TifrFacultyRegistrationApplicationController::class, 'create'])->name('create');
        Route::get('/edit/{id}', [TifrFacultyRegistrationApplicationController::class, 'edit'])->name('edit');

        Route::post('/evaluationStatusUpdate/{id}', [TifrFacultyRegistrationApplicationController::class, 'evaluationStatusUpdate'])->name('evaluationStatusUpdate');

        // Route::post('/faculty-recruitment/{id}/mark-complete', [TifrFacultyRegistrationApplicationController::class, 'markApplicationCompleteByChairman'])
        //     ->name('markApplicationCompleteByChairman');

        Route::get('/committee/recommendations/{id}', [TifrFacultyRegistrationApplicationController::class, 'showCommitteeRecommendations'])
            ->name('committee.recommendations');

        Route::get('users11', [TifrFacultyRegistrationApplicationController::class, 'index1'])->name('users.getUsers11');
        Route::get('users11/data', [TifrFacultyRegistrationApplicationController::class, 'getUsers1'])->name('users.getUsers1');

        // http://localhost/laramag_7.4.5/public/admin/tifrfacultyrecruitmentapplications/users11

        Route::get('getFacultyApplicationsList', [TifrFacultyRegistrationApplicationController::class, 'getFacultyApplicationsList']);
        // http://localhost/laramag_7.4.5/public/admin/tifrfacultyrecruitmentapplications/getFacultyApplicationsList
        Route::get('getFacultyApplicationsListData', [TifrFacultyRegistrationApplicationController::class, 'getFacultyApplicationsListData'])->name('getFacultyApplicationsListData');



        // Route::post('/exportFacultyApplication', [TifrFacultyRegistrationApplicationController::class, 'exportFacultyApplication'])->name('exportFacultyApplication');

        Route::get('exportFacultyApplication', [TifrFacultyRegistrationApplicationController::class, 'exportFacultyApplication'])->name('exportFacultyApplication');

        Route::get('getFilteredFacultyData', [TifrFacultyRegistrationApplicationController::class, 'getFilteredFacultyData'])->name('getFilteredFacultyData');
    });
});
