<?php

use Botble\Base\Facades\AdminHelper;
use Botble\TifrTeamMaster\Http\Controllers\TifrTeamMasterController;
use Illuminate\Support\Facades\Route;

AdminHelper::registerRoutes(function () {
    Route::group(['prefix' => 'tifrteammasters', 'as' => 'tifrteammaster.'], function () {
        // Route::resource('', TifrTeamMasterController::class)->parameters(['' => 'tifrteammaster']);

        Route::match(['get', 'post'], '/', [TifrTeamMasterController::class, 'index'])->name('index');
        Route::get('/create', [TifrTeamMasterController::class, 'create'])->name('create');
        Route::post('/store', [TifrTeamMasterController::class, 'store'])->name('store');
        Route::get('/edit/{id}', [TifrTeamMasterController::class, 'edit'])->name('edit');
        Route::put('/update/{id}', [TifrTeamMasterController::class, 'update'])->name('update');
        Route::delete('/destroy/{id}', [TifrTeamMasterController::class, 'destroy'])->name('destroy');

        Route::get('/sub-categories', [TifrTeamMasterController::class, 'getSubCategories'])->name('sub-categories');
    });
});
