<?php

namespace Botble\TifrTeamMaster\Models;

use Botble\Base\Models\BaseModel;
use Illuminate\Database\Eloquent\SoftDeletes;

class TifrTeamMaster extends BaseModel
{
    use SoftDeletes;

    protected $table = 'tifr_team_masters';

    protected $fillable = [
        'full_name',
        'email',
        'mobile',
        'status',
        'main_category_id',
        'sub_category_id',
        'affiliation',
        'designation',
        'profile_picture',
        'department',
        'research_interests',
        'room_no',
        'office_address',
        'contact_extension',
        'phone',
        'fax',
        'doctoral_degree',
        'post_doctoral_experience',
        'other_experience',
        'group_page',
        'external_url',
        'current_research',
        'selected_publications',
        'awards',
        'password',
        'created_at',
        'updated_at',
    ];

    /**
     * Relationship with the TifrTeamCategory model (Main Category)
     */
    public function mainCategory()
    {
        return $this->belongsTo(TifrTeamCategory::class, 'main_category_id');
    }

    /**
     * Relationship with the TifrTeamCategory model (Sub Category)
     */
    public function subCategory()
    {
        return $this->belongsTo(TifrTeamCategory::class, 'sub_category_id');
    }
}
