<?php

use Botble\Shortcode\View\View;
use Botble\Theme\Theme;

return [

    /*
    |--------------------------------------------------------------------------
    | Inherit from another theme
    |--------------------------------------------------------------------------
    */

    'inherit' => null, //default

    /*
    |--------------------------------------------------------------------------
    | Listener from events
    |--------------------------------------------------------------------------
    |
    | You can hook a theme when event fired on activities
    | this is cool feature to set up a title, meta, default styles and scripts.
    |
    | [Notice] these events can be overridden by package config.
    |
    */

    'events' => [

        // Before event inherit from package config and the theme that call before,
        // you can use this event to set meta, breadcrumb template or anything
        // you want inheriting.
        'before' => function ($theme): void {
            // You can remove this line anytime.
            $theme->setTitle('Copyright ©  2024 - TIFR');
        },

        // Listen on event before render a theme,
        // this event should call to assign some assets,
        // breadcrumb template.
        'beforeRenderTheme' => function (Theme $theme): void {
            // Partial composer.
            // $theme->partialComposer('header', function($view) {
            //     $view->with('auth', \Auth::user());
            // });

            // You may use this event to set up your assets.

            $version = get_cms_version();

            // $theme->asset()->usePath()->add('style', 'css/style.css', version: $version);

            // $theme->asset()->container('footer')->add('jquery', 'libraries/jquery.min.js');

            // $theme->asset()->container('footer')->usePath()->add(
            //     'script',
            //     'js/script.js',
            //     ['jquery'],
            //     version: $version
            // );



            // Google Fonts

            // $theme->asset()->add('google-fonts', 'https://fonts.googleapis.com/css2?family=Plus+Jakarta+Sans:ital,wght@0,200..800;1,200..800&display=swap');

            // $theme->asset()->add('gstatic-fonts', 'https://fonts.gstatic.com', [], [], $version);
            // $theme->asset()->add('google-fonts', 'https://fonts.googleapis.com/css2?family=Roboto&display=swap', [], [], $version);

            // CSS Files
            // $theme->asset()->usePath()->add('bootstrap-css', '/css/bootstrap.min.css', [], [], $version);
            $theme->asset()->add('bootstrap-css', 'https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/css/bootstrap.min.css', [], [], $version);

            $theme->asset()->usePath()->add('bootstrap-icons', '/css/bootstrap-icons/bootstrap-icons.css', [], [], $version);
            // $theme->asset()->usePath()->add('aos-css', '/css/aos.css', [], [], $version);
            $theme->asset()->add('aos-css', 'https://cdn.jsdelivr.net/npm/aos@2.3.4/dist/aos.min.css', [], [], $version);

            $theme->asset()->usePath()->add('glightbox-css', '/css/glightbox/css/glightbox.min.css', [], [], $version);
            $theme->asset()->usePath()->add('swiper-css', '/css/swiper/swiper-bundle.min.css', [], [], $version);
            $theme->asset()->usePath()->add('easy-responsive-tabs-css', '/css/easy-responsive-tabs.css', [], [], $version);
            $theme->asset()->usePath()->add('timeline.css-css', '/css/timeline.css', [], [], $version);
            $theme->asset()->usePath()->add('main-css', '/css/main.css', [], [], $version);


            // JS Files (loaded in footer)
            $theme->asset()->container('footer')->usePath()->add('jquery', '/js/jquery.min2.js', [], [], $version);
            // $theme->asset()->container('footer')->usePath()->add('bootstrap-bundle-js', '/js/bootstrap.bundle.min.js', [], [], $version);
            $theme->asset()->container('footer')->add('bootstrap-bundle-js', 'https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/js/bootstrap.bundle.min.js', [], [], $version);
            // $theme->asset()->container('footer')->usePath()->add('aos-js', '/js/aos.js', [], [], $version);
            $theme->asset()->container('footer')->add('aos-js', 'https://cdn.jsdelivr.net/npm/aos@2.3.4/dist/aos.min.js', [], [], $version);

            $theme->asset()->container('footer')->usePath()->add('main-js', '/js/main.js', [], [], $version);
            $theme->asset()->container('footer')->usePath()->add('easy-responsive-tabs-js', '/js/easy-responsive-tabs.js', [], [], $version);
            $theme->asset()->container('footer')->usePath()->add('owl.carousel-js', '/js/owl.carousel.js', [], [], $version);
            $theme->asset()->container('footer')->usePath()->add('custom-js', '/js/custom.js', [], [], $version);

            if (function_exists('shortcode')) {
                $theme->composer(['page'], function (View $view) {
                    $view->withShortcodes();
                });
            }
        },

        // Listen on event before render a layout,
        // this should call to assign style, script for a layout.
        'beforeRenderLayout' => [
            'default' => function ($theme): void {
                // $theme->asset()->usePath()->add('ipad', 'css/layouts/ipad.css');
            },
        ],
    ],
];
