<?php

use Botble\Theme\Facades\Theme;
use Illuminate\Support\Facades\DB;

app()->booted(function () {

    if (is_plugin_active('blog')) {

        add_shortcode('home-latest-posts', __('Home posts'), __('Home posts'), function () {
            return Theme::partial('short-codes.home-latest-posts');
        });

        add_shortcode('site-map', 'Site Map', 'Site Map', function () {
            return Theme::partial('short-codes.site-map');
        });

        add_shortcode('faculty', 'Faculty', 'Faculty', function () {
            $results = DB::select('
                    SELECT team.*, 
                        parent_cat.name AS parent_category_name, 
                        child_cat.name AS sub_category_name
                    FROM tifr_team_masters team
                    LEFT JOIN tifr_team_categories parent_cat ON team.main_category_id = parent_cat.id
                    LEFT JOIN tifr_team_categories child_cat ON team.sub_category_id = child_cat.id
                    WHERE parent_cat.name = "Faculty"
                    AND team.status = "Active" 
                    AND team.deleted_at IS NULL
                ');

            return Theme::partial('short-codes.people.faculty', compact('results'));
        });

        add_shortcode('visiting-faculty', 'Visiting-faculty', 'Visiting-faculty', function () {
            $results = DB::select('
                    SELECT team.*, 
                        parent_cat.name AS parent_category_name, 
                        child_cat.name AS sub_category_name
                    FROM tifr_team_masters team
                    LEFT JOIN tifr_team_categories parent_cat ON team.main_category_id = parent_cat.id
                    LEFT JOIN tifr_team_categories child_cat ON team.sub_category_id = child_cat.id
                    WHERE parent_cat.name = "Visiting Faculty"
                    AND team.status = "Active" 
                    AND team.deleted_at IS NULL
                ');

            return Theme::partial('short-codes.people.visiting-faculty', compact('results'));
        });

        add_shortcode('staff', 'Staff', 'Staff', function () {
            $results = DB::select('
                    SELECT team.*, 
                        parent_cat.name AS parent_category_name, 
                        child_cat.name AS sub_category_name
                    FROM tifr_team_masters team
                    LEFT JOIN tifr_team_categories parent_cat ON team.main_category_id = parent_cat.id
                    LEFT JOIN tifr_team_categories child_cat ON team.sub_category_id = child_cat.id
                    WHERE parent_cat.name = "Staff"
                    AND team.status = "Active" 
                    AND team.deleted_at IS NULL
                ');

            return Theme::partial('short-codes.people.staff', compact('results'));
        });

        add_shortcode('research-scholars', 'Research Scholars', 'Research Scholars', function () {
            $results = DB::select('
                    SELECT team.*, 
                        parent_cat.name AS parent_category_name, 
                        child_cat.name AS sub_category_name
                    FROM tifr_team_masters team
                    LEFT JOIN tifr_team_categories parent_cat ON team.main_category_id = parent_cat.id
                    LEFT JOIN tifr_team_categories child_cat ON team.sub_category_id = child_cat.id
                    WHERE parent_cat.name = "Research Scholars"
                    AND team.status = "Active" 
                    AND team.deleted_at IS NULL
                ');

            return Theme::partial('short-codes.people.research-scholars', compact('results'));
        });
    }
});
