<div>
    {{-- @if ($posts->isNotEmpty()) --}}

    @if ($category->slug == 'news-events')
        <section class="header-inside news-header section dark-background"></section><!-- /Hero Section -->
    @endif
    @if ($category->slug == 'calendar')
        <section class="header-inside calendar-header section dark-background"></section><!-- /Hero Section -->
    @endif

    <section id="starter-section" class="news-section section">
        <div class="container">
            <div class="page-title" data-aos="fade-up" data-aos-delay="100">
                <div class="container d-lg-flex flex-wrap align-items-center">

                    @if (request()->has('search') && request()->input('search') != '')
                        <nav class="breadcrumbs">
                            <ol>
                                <li><a href="{{ route('public.index') }}">Home</a></li>
                                <li class="current">{{ $category->name }}</li>
                                <li class="current">Search</li>
                            </ol>
                        </nav>

                        <div class="inside-heading">
                            @if (request()->has('search') && request()->input('search') != '')
                                {{ __('Search results for: ":query"', ['query' => request()->input('search')]) }}
                            @else
                                {{ __('Search') }}
                            @endif
                        </div>
                    @else
                        <nav class="breadcrumbs">
                            <ol>
                                {{-- <li>{!! Theme::breadcrumb()->render() !!}</li> --}}
                                <li><a href="{{ route('public.index') }}">Home</a></li>
                                <li class="current">{{ $category->name }}</li>
                            </ol>
                        </nav>
                        <div class="inside-heading">{{ $category->name }}</div>
                    @endif
                </div>
            </div>

            {{-- "news-events" category --}}
            @if ($category->slug == 'news-events')
                <div class="news-part" data-aos="fade-up" data-aos-delay="200">
                    <div class="row">
                        <div class="col-lg-12 news-col">

                            @if ($posts->isEmpty())
                                <div class="col-lg-12 search-result-col">
                                    <p class="text-center no-result-found">No result found.</p>
                                </div>
                            @endif

                            <div class="news-content-part">
                                @foreach ($posts as $post)
                                    <div class="news-content-col">
                                        <div class="news-col-body">
                                            {{-- <div class="news-col-img">
                                                <img src="{{ RvMedia::getImageUrl($post->image, null, false, RvMedia::getDefaultImage()) }}"
                                                    alt="...">
                                            </div> --}}
                                            <div class="news-title">
                                                {{-- <a href="{{ $post->url }}"><span
                                                        class="calendar-ttl">{{ $post->name }}</span>
                                                </a> --}}
                                                <a href="{{ $post->url }}">{{ $post->name }}</a>
                                            </div>
                                            {{-- <div class="news-col-text">{!! \Str::limit(BaseHelper::clean($post->description), 100) !!}</div> --}}
                                            <div class="news-more"><a href="{{ $post->url }}">Know More <img
                                                        src="{{ url('themes/tifr/img/arrow.svg') }}"
                                                        alt="Arrow"></a>
                                            </div>
                                        </div>
                                    </div>
                                @endforeach
                            </div>
                        </div>
                    </div>
                </div>
            @endif

            {{-- "calendar" category --}}
            @if ($category->slug == 'calendar')
                <div class="calendar-part" data-aos="fade-up" data-aos-delay="200">
                    <div class="row">
                        <div class="col-lg-12 calendar-col">
                            <div class="calendar-search-part">
                                <div class="search-container">
                                    <form action="{{ route('calendar.search') }}" method="GET"
                                        id="calendar_search_form">
                                        <div class="form-group form-group-year">
                                            <select name="year" id="calendar_year">
                                                <option value="">Select Year</option>
                                                <option value="2024"
                                                    @if (request('year') == 2024) selected @endif>2024</option>
                                                <option value="2023"
                                                    @if (request('year') == 2023) selected @endif>2023</option>
                                                <option value="2022"
                                                    @if (request('year') == 2022) selected @endif>2022</option>
                                                <option value="2021"
                                                    @if (request('year') == 2021) selected @endif>2021</option>
                                                <option value="2020"
                                                    @if (request('year') == 2020) selected @endif>2020</option>
                                                <option value="2019"
                                                    @if (request('year') == 2019) selected @endif>2019</option>
                                                <option value="2018"
                                                    @if (request('year') == 2018) selected @endif>2018</option>
                                            </select>
                                        </div>
                                        <div class="form-group">
                                            <input type="text" placeholder="Search..." name="search"
                                                value="{{ request('search') }}">
                                            <button type="submit"><i class="fa fa-search"></i></button>
                                        </div>
                                    </form>
                                </div>
                            </div>

                            {{-- If no posts found --}}
                            @if ($posts->isEmpty())
                                <div class="no-data-message" style="text-align: center; margin-top: 20px;">
                                    <p>{{ __('There is no data to display!') }}</p>
                                </div>
                            @endif

                            {{-- @if ($posts->isEmpty())
                                <div class="col-lg-12 search-result-col">
                                    <p class="text-center no-result-found">No result found.</p>
                                </div>
                            @endif --}}

                            <div class="calendar-content-part">
                                @foreach ($posts as $post)
                                    <div class="calendar-content-col">
                                        <div class="calendar-col-head">

                                            <div class="calendar-col-ttl">
                                                <a href="{{ $post->url }}">
                                                    <span class="calendar-ttl">{{ $post->name }}</span>
                                                </a>
                                            </div>
                                        </div>
                                        <div class="calendar-col-body">
                                            {{-- <div class="calendar-col-text">{!! \Str::limit(BaseHelper::clean($post->description), 100) !!}</div> --}}
                                            <div class="news-more"><a href="{{ $post->url }}">Read More <img
                                                        src="{{ url('themes/tifr/img/arrow.svg') }}"
                                                        alt="Arrow"></a>
                                            </div>
                                        </div>
                                    </div>
                                @endforeach
                            </div>


                        </div>
                    </div>
                </div>
            @endif

            {{-- Pagination --}}
            {{-- @if ($posts->isNotEmpty())
                <div class="page-pagination">
                    <div class="page-pagination-part">
                        <ul class="pagination">
                            {!! $posts->links() !!}
                        </ul>
                    </div>
                </div>
            @endif --}}

            {{-- Pagination --}}
            @if ($posts->hasPages())
                <div class="page-pagination">
                    <div class="page-pagination-part">
                        <ul class="pagination">
                            {{-- Previous Page Link --}}
                            @if ($posts->onFirstPage())
                                <li class="page-item disabled">
                                    <span class="page-link">‹</span>
                                </li>
                            @else
                                <li class="page-item">
                                    <a href="{{ $posts->previousPageUrl() . '&' . http_build_query(request()->except('page')) }}"
                                        class="page-link">‹</a>
                                </li>
                            @endif

                            {{-- First Page Link --}}
                            @if ($posts->currentPage() > 3)
                                <li class="page-item">
                                    <a href="{{ $posts->url(1) . '&' . http_build_query(request()->except('page')) }}"
                                        class="page-link">1</a>
                                </li>
                                <li class="page-item disabled"><span class="page-link">...</span></li>
                            @endif

                            {{-- Pagination Elements --}}
                            @foreach ($posts->getUrlRange(max(1, $posts->currentPage() - 1), min($posts->lastPage(), $posts->currentPage() + 2)) as $page => $url)
                                <li class="page-item {{ $page == $posts->currentPage() ? 'active' : '' }}">
                                    <a href="{{ $url . '&' . http_build_query(request()->except('page')) }}"
                                        class="page-link">{{ $page }}</a>
                                </li>
                            @endforeach

                            {{-- Last Page Link --}}
                            @if ($posts->currentPage() < $posts->lastPage() - 2)
                                <li class="page-item disabled"><span class="page-link">...</span></li>
                                <li class="page-item">
                                    <a href="{{ $posts->url($posts->lastPage()) . '&' . http_build_query(request()->except('page')) }}"
                                        class="page-link">{{ $posts->lastPage() }}</a>
                                </li>
                            @endif

                            {{-- Next Page Link --}}
                            @if ($posts->hasMorePages())
                                <li class="page-item">
                                    <a href="{{ $posts->nextPageUrl() . '&' . http_build_query(request()->except('page')) }}"
                                        class="page-link">›</a>
                                </li>
                            @else
                                <li class="page-item disabled">
                                    <span class="page-link">›</span>
                                </li>
                            @endif
                        </ul>
                    </div>
                </div>
            @endif


        </div>

    </section>
    {{-- @else
        <div>
            <p>{{ __('There is no data to display!') }}</p>
        </div>
    @endif --}}
</div>

<script>
    document.addEventListener('DOMContentLoaded', function() {
        const yearSelect = document.getElementById('calendar_year');

        if (yearSelect) {
            yearSelect.addEventListener('change', function() {
                document.getElementById('calendar_search_form').submit();
            });
        }
    });
</script>
