<?php $__env->startSection('content'); ?>
    <!DOCTYPE html>
    <html lang="en">
    

    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>Faculty List</title>
        <link href="<?php echo e(url('/themes/tifr/css/dt_css/dttt_cccssss.css')); ?>" rel="stylesheet">
        <link href="<?php echo e(url('/themes/tifr/css/dt_css/dataTables.bootstrap.min.css')); ?>" rel="stylesheet">
        <script src="https://code.jquery.com/jquery-3.5.1.js"></script>
        <script src="https://cdn.datatables.net/1.10.21/js/jquery.dataTables.min.js"></script>
    </head>

    <body>
        <div class="table-wrapper">
            <div class="card">

                <div class="card-header">
                    <div class="w-100 justify-content-between d-flex flex-wrap align-items-center gap-1">
                        <div class="d-flex justify-content-between align-items-center gap-1">
                            <div class="table-search-input">
                                <label>
                                    <input type="search" id="search-input" class="form-control input-sm"
                                        placeholder="Search by name, email, phone" style="min-width: 120px">
                                    <button type="button" title="Search..." class="search-icon"></button>
                                    <button type="button" title="Clear" class="search-reset-icon"
                                        style="display: none;"></button>
                                </label>
                            </div>

                            

                            <select class="form-control form-select" id="evaluation_status">
                                <option value="">-Select Evaluation Status-</option>
                                <option value="Done">Done</option>
                                <option value="Pending">Pending</option>
                            </select>

                        </div>

                        <div class="d-flex align-items-center gap-1">
                            <button class="btn action-item btn-primary" type="button" id="export-btn">
                                Export
                            </button>
                        </div>
                    </div>
                </div>

                <div class="card-table">
                    

                    <div class="table-responsive">
                        <table class="table card-table table-vcenter table-striped table-hover" id="faculties-table">
                            <thead>
                                <tr>
                                    <th class="text-center">ID</th>
                                    <th>Full Name</th>
                                    <th>Email</th>
                                    <th>Phone</th>
                                    <th>Evaluation</th>
                                    <th>Evaluation Details</th>
                                    <th>Created At</th>
                                    <th>Action</th>
                                </tr>
                            </thead>
                            <tbody>
                                <!-- Data rows will be dynamically populated here by JavaScript -->
                            </tbody>
                        </table>
                    </div>

                    <!-- Custom Footer with Length Dropdown and Dynamic Info -->
                    <div
                        class="card-footer d-flex flex-column flex-sm-row justify-content-between align-items-center gap-2">
                        <!-- Length Dropdown (Entries per page) -->
                        <div class="d-flex justify-content-between align-items-center gap-3">
                            <div class="dataTables_length">
                                <label>
                                    <select name="length" id="length" class="form-select form-select-sm">
                                        <option value="10">10</option>
                                        <option value="30">30</option>
                                        <option value="50">50</option>
                                        <option value="100">100</option>
                                        <option value="500">500</option>
                                        <option value="-1">All</option>
                                    </select>
                                </label>
                            </div>

                            <!-- Info display: "Show from X to Y in Z records" -->
                            <div class="m-0 text-muted">
                                <div class="dataTables_info" id="infoText" role="status" aria-live="polite">
                                    <span class="dt-length-records">
                                        <!-- This will be dynamically populated -->
                                    </span>
                                </div>
                            </div>
                        </div>

                        <!-- Pagination controls -->
                        <div class="d-flex justify-content-center" id="pagination-container">
                            <div class="dataTables_paginate paging_simple_numbers">
                                <ul class="pagination">
                                    <!-- Pagination buttons will be injected here by JS -->
                                </ul>
                            </div>
                        </div>
                    </div>


                </div>
            </div>
        </div>

        <script>
            $(document).ready(function() {
                var table = $('#faculties-table').DataTable({
                    processing: true,
                    serverSide: true,
                    lengthChange: false, // Disable DataTables built-in length change dropdown
                    paging: true, // Enable paging to control records per page
                    pageLength: 10, // Default number of entries per page (10 records)
                    info: false, // Hide the default "Showing x to x of x entries"
                    ajax: {
                        url: '<?php echo route('tifrfacultyrecruitmentapplication.getFacultyApplicationsListData'); ?>',
                        data: function(d) {
                            // Send the search query to the server
                            d.searchQuery = $('#search-input').val(); // Get the value of the search input
                            d.evaluationStatus = $('#evaluation_status').val();
                        }
                    },
                    columns: [{
                            data: 'id',
                            className: 'text-center'
                        },
                        {
                            data: 'full_name'
                        },
                        {
                            data: 'email'
                        },
                        {
                            data: 'phone'
                        },
                        {
                            data: 'evaluation_status'
                        },
                        {
                            data: 'evaluation_details'
                        },
                        {
                            data: 'created_at'
                        },
                        {
                            data: 'actions'
                        },
                    ],
                    dom: '<"top"i>rt<"bottom"fl><"clear">', // Disable default pagination (no "p" here)
                    drawCallback: function(settings) {
                        var totalRecords = settings.fnRecordsTotal(); // Get total records
                        var filteredRecords = settings.json.recordsFiltered;
                        var displayStart = settings._iDisplayStart; // Start index of current page
                        var displayLength = settings._iDisplayLength; // Number of records per page

                        var displayEnd = displayLength === -1 ? filteredRecords : displayStart +
                            displayLength;

                        // If displayEnd exceeds totalRecords, set it to totalRecords
                        displayEnd = displayEnd > filteredRecords ? filteredRecords : displayEnd;

                        // Fix for calculating "start" and "end" correctly
                        var start = displayStart +
                            1; // DataTables' start is 0-based, but we want to display 1-based
                        var end = displayEnd;

                        var infoText = displayLength === -1 ?
                            'Show from ' + start + ' to ' + filteredRecords + ' in ' + filteredRecords +
                            ' records' :
                            'Show from ' + start + ' to ' + end + ' in ' + filteredRecords + ' records';

                        // Update the info text on the page
                        var infoHtml = `
                                <svg class="icon svg-icon-ti-ti-world" xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round">
                                    <path stroke="none" d="M0 0h24v24H0z" fill="none"></path>
                                    <path d="M3 12a9 9 0 1 0 18 0a9 9 0 0 0 -18 0"></path>
                                    <path d="M3.6 9h16.8"></path>
                                    <path d="M3.6 15h16.8"></path>
                                    <path d="M11.5 3a17 17 0 0 0 0 18"></path>
                                    <path d="M12.5 3a17 17 0 0 1 0 18"></path>
                                </svg>
                                <span class="d-none d-sm-inline">Show from</span> 
                                ${start} to ${end} in 
                                <span class="badge bg-secondary text-secondary-fg">${filteredRecords}</span> 
                                <span class="hidden-xs">records</span>
                            `;
                        $('.dt-length-records').html(infoHtml); // Update the info text

                        // Update pagination controls (previous, next buttons and page numbers)
                        updatePaginationControls(settings, filteredRecords);
                    }
                });

                // Handle the search input
                $('#search-input').on('input', function() {
                    var searchValue = $(this).val();
                    table.ajax.reload(); // Reload the table with the new search value
                });

                // Handle the clear search button
                $('.search-reset-icon').on('click', function() {
                    $('#search-input').val(''); // Clear the input field
                    table.search('').draw(); // Reset the DataTable search
                    $(this).hide(); // Hide the clear button after clearing
                });

                // Toggle clear button visibility
                $('#search-input').on('input', function() {
                    var searchValue = $(this).val();
                    if (searchValue) {
                        $('.search-reset-icon').show(); // Show clear button if there is input
                    } else {
                        $('.search-reset-icon').hide(); // Hide clear button if input is empty
                    }
                });

                // Handle filter changes
                $('#evaluation_status').on('change', function() {
                    table.draw(); // Trigger table redraw with the new filter applied
                });

                // Handle length change (entries per page)
                $('#length').change(function() {
                    var length = $(this).val();
                    table.page.len(length).draw();
                });

                // Update pagination controls based on current state
                function updatePaginationControls(settings, filteredRecords) {
                    var pagination = $('#pagination-container .pagination');
                    pagination.empty(); // Clear existing pagination

                    var displayLength = settings._iDisplayLength;
                    var totalPages = Math.ceil(filteredRecords / displayLength);
                    var currentPage = Math.floor(settings._iDisplayStart / displayLength) + 1;

                    if (displayLength === -1 || filteredRecords <= displayLength) {
                        // Hide pagination if there are fewer records than the display length
                        $('#pagination-container').hide();
                        return;
                    } else {
                        $('#pagination-container').show();
                    }

                    // Previous Button
                    var previousButton = $('<li>', {
                            class: 'paginate_button page-item previous' + (currentPage === 1 ? ' disabled' : '')
                        })
                        .append($('<a>', {
                            class: 'page-link',
                            href: '#',
                            text: '« Previous'
                        }));
                    pagination.append(previousButton);

                    // Function to add page number
                    function addPageNumber(page) {
                        var pageItem = $('<li>', {
                                class: 'paginate_button page-item' + (page === currentPage ? ' active' : '')
                            })
                            .append($('<a>', {
                                class: 'page-link',
                                href: '#',
                                text: page,
                                'data-dt-idx': page - 1
                            }));
                        pagination.append(pageItem);
                    }

                    // Add ellipsis and page numbers logic
                    if (totalPages <= 10) {
                        // If total pages are 10 or less, show all pages
                        for (var i = 1; i <= totalPages; i++) {
                            addPageNumber(i);
                        }
                    } else {
                        // Always show first page
                        addPageNumber(1);

                        // Logic for showing pages with ellipsis
                        if (currentPage > 4) {
                            // Add first ellipsis if current page is far from start
                            pagination.append($('<li>', {
                                class: 'paginate_button page-item disabled',
                                html: $('<a>', {
                                    class: 'page-link',
                                    text: '...'
                                })
                            }));
                        }

                        // Determine the range of pages to show around current page
                        var start = Math.max(2, currentPage - 1);
                        var end = Math.min(totalPages - 1, currentPage + 1);

                        // Adjust range if near the start or end
                        if (currentPage <= 4) {
                            start = 2;
                            end = 5;
                        }
                        if (currentPage >= totalPages - 3) {
                            start = totalPages - 4;
                            end = totalPages - 1;
                        }

                        // Add middle pages
                        for (var i = start; i <= end; i++) {
                            addPageNumber(i);
                        }

                        // Add last ellipsis if needed
                        if (currentPage < totalPages - 3) {
                            pagination.append($('<li>', {
                                class: 'paginate_button page-item disabled',
                                html: $('<a>', {
                                    class: 'page-link',
                                    text: '...'
                                })
                            }));
                        }

                        // Always show last page
                        if (totalPages > 1) {
                            addPageNumber(totalPages);
                        }
                    }

                    // Next Button
                    var nextButton = $('<li>', {
                            class: 'paginate_button page-item next' + (currentPage === totalPages ? ' disabled' :
                                '')
                        })
                        .append($('<a>', {
                            class: 'page-link',
                            href: '#',
                            text: 'Next »'
                        }));
                    pagination.append(nextButton);
                }


                // Handle clicking on page numbers
                $(document).on('click', '.page-link', function(e) {
                    e.preventDefault();

                    var clickedPage = $(this).data('dt-idx');
                    var currentPage = table.page.info().page;

                    if (clickedPage === currentPage) {
                        return false;
                    }

                    if (clickedPage !== undefined) {
                        table.page(clickedPage).draw('page');
                    }
                });

                // Handle previous and next button clicks
                $(document).on('click', '.previous', function(e) {
                    e.preventDefault();
                    var currentPage = table.page.info().page;
                    if (currentPage > 0) {
                        table.page(currentPage - 1).draw('page');
                    }
                });

                $(document).on('click', '.next', function(e) {
                    e.preventDefault();
                    var currentPage = table.page.info().page;
                    var totalPages = Math.ceil(table.page.info().recordsTotal / table.page.info().length);
                    if (currentPage < totalPages - 1) {
                        table.page(currentPage + 1).draw('page');
                    }
                });

                // Export Button click event
                $('#export-btn').on('click', function() {
                    // Trigger export by sending a request with an 'export' flag
                    window.location.href = '<?php echo route('tifrfacultyrecruitmentapplication.getFacultyApplicationsListData'); ?>?export=true&searchQuery=' + $(
                        '#search-input').val() + '&evaluationStatus=' + $('#evaluation_status').val();
                });
            });
        </script>
    </body>

    </html>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('core/base::layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /opt/lampp/htdocs/laravel_cms_7.4.5_tifr/platform/plugins/tifr-faculty-recruitment-application/resources/views/tifrfacultyrecruitmentapplication/tifr_faculty_registration_application_list.blade.php ENDPATH**/ ?>